<?php
declare(strict_types=0);
function Xset_colu($tabla,$colu,$tipo,$after="",$defa="")
{
  
     $colu1=$colu;
     if (substr($tabla,-1,1)=='0')
     {if (substr($colu,4,1)!='_'){$colu=substr($tabla,0,4).'_'.$colu; }}
     
//      if($colu==$tabla.'_codigo'){$after='';}

if($tipo==='X')
  {
    $colu_sql='alter table '.$tabla.' drop column '.$colu;
    msql_query($colu_sql,$link_vcrx);
		$colu=$after;
  }
  else
  {
    $colu_sql='alter table '.$tabla.' add column '.$colu.' '.$tipo;
    msql_query($colu_sql,$link_vcrx);
//     if (msql_query($colu_sql,$link_vcrx)==1){echo "\n";echo ' --> ADD OK '.$tabla.'-'.$colu;}
    if (msql_query($colu_sql,$link_vcrx)==1)
		{}

		
    $colu_sql='alter table '.$tabla.' change column '.$colu.' '.$colu.' '.$tipo;
//        echo '<br>'.$colu_sql;
		if($after!="")
		{
			$sql_sche ='select ordinal_position,column_type from information_schema.columns ';
			$sql_sche.='where table_schema="'.$cfg_dnam.'_'.$cfg_empr.'"';
			$sql_sche.=' and table_name="'.$tabla.'"';
			$sql_sche.=' and (column_name="'.$colu.'"';
			$sql_sche.=' or column_name="'.$after.'")';
			$sql_sche.=' order by ordinal_position desc';
    
               $res_sche=msql_query($sql_sche,$link_vcrx);
			$posi_colu=msql_result($res_sche,0,'ordinal_position');
			$type_colu=msql_result($res_sche,0,'column_type');
			$posi_after=msql_result($res_sche,1,'ordinal_position');
      
			unset($res_sche);

			if(($posi_after+1)!=$posi_colu)
			{
				echo '<br>'.$tabla.'-->'.$colu.' ('.$after.')';
				$colu_sql.=' after '.$after;
			}

		};
		
    msql_query($colu_sql,$link_vcrx);
// 			echo 'S:'.date('H:i:s',strtotime('now'));
		
    if (msql_query($colu_sql,$link_vcrx)==1)
		{
// 			echo "<br>".$tabla.'.'.$colu.'-->'; echo '  OK  ';
		}
		else
		{
			echo "<br>".$tabla.'.'.$colu.'-->'; echo ' *** ERROR *** '.msql_error($link_vcrx).'   --> '.$colu1;
		}

	}

//   echo '*/*/*/'.$defa;
//  DEFAULT	
  if ($defa!="" )
  {
    $colu_sql='alter table '.$tabla.' alter column '.$colu.' drop default ';
    msql_query($colu_sql,$link_vcrx);

    $colu_sql='alter table '.$tabla.' alter column '.$colu.' set  default "'.$defa.'"';
    msql_query($colu_sql,$link_vcrx);
//       if (msql_query($colu_sql,$link_vcrx)!=1){echo "\n";echo ' *** ERROR *** '.$colu_sql;}

    $colu_sql='update '.$tabla.' set '.$colu.'="'.$defa.'" where '.$colu.' is null or '.$colu.' =""';
    msql_query($colu_sql,$link_vcrx);
		
//     $colu_sql='update '.$tabla.' set '.$colu.'="'.$defa.'" where '.$colu.' =""';
//     msql_query($colu_sql,$link_vcrx);

//     $colu_sql='insert into '.$colu.'0('.$colu.'_codigo,'.$colu.'_descri)value("'.$defa.'","_DEFAULT")';
//     msql_query($colu_sql,$link_vcrx);
//       if (msql_query($colu_sql,$link_vcrx)==1){echo "\n";echo ' --> DEFA OK '.$tabla.'-'.$colu.'->'.$defa;}
// 		echo "\n";echo $colu_sql;
  }

  return $colu;
}


function crea_maes($maes,$codigo=0;)
{
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}

     $maes0=$maes.'0';
     $colafter='';

     if($codigo==='X')
     {
     msql_query('drop table '.$maes0,$link_data);
     echo '<br>';
     echo $maes0.'==> ELIMINADA';
     return;
     }	
   
	{	
	
      msql_query('create table '.$maes0.' ('.$maes.'_codigo char('.$codigo.')not null)engine=innodb',$link_data);
      msql_query('alter table '.$maes0.' engine=innodb, default character set=latin1 collate=latin1_spanish_ci',$link_data);
      msql_query('alter table '.$maes0.' drop primary key',$link_data);
      msql_query('alter table '.$maes0.' add primary key('.$maes.'_codigo)',$link_data);

      if($codigo>0)
      {$colafter=vrsetcolu($maes0,$maes.'_codigo','char('.$codigo.')',$colafter,'');}
      else
      {
         msql_query('alter table '.$maes0.' change column '.$maes.'_codigo '.$maes.'_codigo int not null',$link_data);
         msql_query('alter table '.$maes0.' drop primary key',$link_data);
         msql_query('alter table '.$maes0.' add primary key('.$maes.'_codigo)',$link_data);
         msql_query('alter table '.$maes0.' change column '.$maes.'_codigo '.$maes.'_codigo int not null auto_increment',$link_data);
      }

	$colafter=$maes.'_codigo';
		
  $colafter=vrsetcolu($maes0,$maes.'_descri','varchar(100)',$colafter,'');
  $colafter=vrsetcolu($maes0,$maes.'_tipo','varchar(4)',$colafter,'');
  $colafter=vrsetcolu($maes0,$maes.'_status','varchar(1)',$colafter,'-');
  $colafter=vrsetcolu($maes0,$maes.'_iuser','varchar(10)',$colafter,'');
  $colafter=vrsetcolu($maes0,$maes.'_idate','datetime',$colafter,'');
  $colafter=vrsetcolu($maes0,$maes.'_lused','datetime',$colafter,'');
  $colafter=vrsetcolu($maes0,$maes.'_descri0','varchar(100)',$colafter,'');
    
		// INDICES
// 		msql_query('alter table '.$maes0.' drop index codigo ',$link_data);
// 		msql_query('create unique index codigo on '.$maes0.'('.$maes.'_codigo)',$link_data);
		
// // 		msql_query('drop index descri on '.$maes0,$link_data);
// 		msql_query('alter table '.$maes0.' drop index descri ',$link_data);
// 		msql_query('create index descri on '.$maes0.'('.$maes.'_descri,'.$maes.'_codigo)',$link_data);
	
// 		msql_query('alter table '.$maes0.' drop index tipo ',$link_data);
// 		msql_query('create index tipo on '.$maes0.'('.$maes.'_tipo,'.$maes.'_codigo)',$link_data);
		if (mb_stristr('ipip',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_user','varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_osver','varchar(100)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cdad','varchar(5)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cdaddes','varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ciudad','varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pais','varchar(5)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_paisdes','varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_zipcode','X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_postal','varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_gps1','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_gps2','varchar(10)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_ciudad','varchar(20)',$colafter,'');
		}

		if (mb_stristr('menu',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_accion','varchar(250)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_mensaje','varchar(250)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_caption','varchar(250)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_onclick','varchar(250)',$colafter,'');
		}

		if (mb_stristr('empr',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_ruc','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_numid','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_dnrdp','varchar(7)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ruclegal','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ruccontador','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_regcontador','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_lguia','int',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_vcupo','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_bcupo','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fweek','smallint',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fdow','smallint',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_linx','smallint',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_modi','smallint',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_anul','smallint',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_elim','smallint',$colafter,'');

      $colafter=vrsetcolu($maes0,$maes.'_suco','varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fpag','varchar(2)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_fpagv','varchar(2)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_cont','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_carr','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_guia','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_comp','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_inve','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_caba','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_cbco','X',$colafter,'1');
			$colafter=vrsetcolu($maes0,$maes.'_caja','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_bcos','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_nomi','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_prod','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_plan','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_lote','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_srie','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_clie','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_impo','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_expo','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_mice','varchar(1)',$colafter,'0');

// 			$colafter=vrsetcolu($maes0,$maes.'_fcont','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fcaba','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fcaja','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fbcos','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fcxco','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fcxpa','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_finve','date',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_fnomi','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fcele','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fcont','date',$colafter,'');
      
			$colafter=vrsetcolu($maes0,$maes.'_fcont2','date',$colafter,'');
      
			$colafter=vrsetcolu($maes0,$maes.'_fcnego','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ambice','varchar(1)',$colafter,'1');
			$colafter=vrsetcolu($maes0,$maes.'_esquce','varchar(1)',$colafter,'1');
			$colafter=vrsetcolu($maes0,$maes.'_website','varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_logo1','varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_logo2','varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_color1','varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_color2','varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_color3','varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_color1f','varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_color2f','varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_color3f','varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_logoce','varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_p12file','text',$colafter,'1');
			$colafter=vrsetcolu($maes0,$maes.'_p12bak','text',$colafter,'1');
			$colafter=vrsetcolu($maes0,$maes.'_p12pass','varchar(30)',$colafter,'1');
			$colafter=vrsetcolu($maes0,$maes.'_p12caduca','date',$colafter,'1');
			$colafter=vrsetcolu($maes0,$maes.'_ctasuper','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_updated','datetime',$colafter,'1');
			$colafter=vrsetcolu($maes0,$maes.'_wsapptk','varchar(250)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_apiwha','varchar(250)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ambientece','X',$colafter,'');
			
			msql_query('update empr0 set empr_updated=now()',$link_data);
			
// 			$colafter=vrsetcolu($maes0,$maes.'_pru1','X',$colafter,'');
		}

		if (mb_stristr('user.usrt.enti.ppto',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_whatsapp','X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_empr','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cedula','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_email','varchar(60)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_wsapp','varchar(15)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_teleg','X',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_apiwha','datetime',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_celular','varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_empresa','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nickname','varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_solicita','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_clave','varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_clave2','varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pin','varchar(6)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_reset','varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_captcha','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_crgo','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cargo','varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_caduca','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_apuni','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_adcto','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_apvp','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ptov','varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_caba','varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cbco','X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_caja','varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_bode','varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cong','varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_login','datetime',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ip','varchar(16)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ippais','varchar(50)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_pais','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_provincia','varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ciudad','varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_postal','varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_calle1','varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_calle2','varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_calle3','varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_callen','varchar(5)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_parroq','varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_telefono','varchar(15)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_whatsapp','varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_referidox','varchar(10)',$colafter,'');
//       if($cfg_empr=='gnya')
      if(mb_stristr('gnya.gmny',$cfg_empr))
      {
  			$colafter=vrsetcolu($maes0,$maes.'_referx1','varchar(10)',$colafter,'');
  			$colafter=vrsetcolu($maes0,$maes.'_referx2','varchar(10)',$colafter,'');
  			$colafter=vrsetcolu($maes0,$maes.'_referx3','varchar(10)',$colafter,'');
  			$colafter=vrsetcolu($maes0,$maes.'_referx4','varchar(10)',$colafter,'');
  			$colafter=vrsetcolu($maes0,$maes.'_referx5','varchar(10)',$colafter,'');
      }
			
			if($maes=='user' and $cfg_empr=='jwib')
			{
				$colafter=vrsetcolu($maes0,$maes.'_acce','varchar(1)',$colafter,'0');
				$colafter=vrsetcolu($maes0,$maes.'_vida','varchar(1)',$colafter,'0');
				$colafter=vrsetcolu($maes0,$maes.'_mmae','varchar(1)',$colafter,'0');
				$colafter=vrsetcolu($maes0,$maes.'_estu','varchar(1)',$colafter,'0');
				$colafter=vrsetcolu($maes0,$maes.'_dpub','varchar(1)',$colafter,'0');
				$colafter=vrsetcolu($maes0,$maes.'_vari','varchar(1)',$colafter,'0');
				$colafter=vrsetcolu($maes0,$maes.'_asig','varchar(1)',$colafter,'0');
				$colafter=vrsetcolu($maes0,$maes.'_asem','varchar(1)',$colafter,'0');
				$colafter=vrsetcolu($maes0,$maes.'_asis','varchar(1)',$colafter,'0');
			}
		
			if($maes=='user' and $cfg_empr=='')
			{
        $colafter=vrsetcolu($maes0,$maes.'_p12file','text',$colafter,'');
        $colafter=vrsetcolu($maes0,$maes.'_p12pass','varchar(30)',$colafter,'');
        $colafter=vrsetcolu($maes0,$maes.'_p12caduca','date',$colafter,'');
			}
		
			msql_query('alter table user0 alter column user_status set default "1"',$link_data);
			msql_query('alter table usrt0 alter column usrt_status set default "0"',$link_data);

			msql_query('alter table '.$maes0.' alter column '.$maes.'_tipo drop default',$link_data);
			msql_query('alter table '.$maes0.' alter column '.$maes.'_tipo set default "clie"',$link_data);
			
			$sql_user='select * from '.$maes0.' order by '.$maes.'_codigo desc';
			$res_user=msql_query($sql_user,$link_data);
			
			$sql_auto='alter table '.$maes0.' AUTO_INCREMENT=101 ';
			if(mysql_num_rows($res_user)==0){msql_query($sql_auto,$link_data);}
			else
			{if(mysql_result($res_user,0,$maes.'_codigo')<=10){msql_query($sql_auto,$link_data);}}
			
		}		

		if (mb_stristr('ppto.evnt',$maes))
    {
			msql_query('alter table '.$maes0.' alter column '.$maes.'_tipo drop default',$link_data);
			msql_query('alter table '.$maes0.' alter column '.$maes.'_tipo set default "-"',$link_data);
			
			$sql_user='select * from '.$maes0.' order by '.$maes.'_codigo desc';
			$res_user=msql_query($sql_user,$link_data);
			
			$sql_auto='alter table '.$maes0.' AUTO_INCREMENT=101 ';
			if(mysql_num_rows($res_user)==0){msql_query($sql_auto,$link_data);}
			else
			{if(mysql_result($res_user,0,$maes.'_codigo')<=10){msql_query($sql_auto,$link_data);}}
// 			echo '*/*/*'.mysql_error($link_data);
		}		

		if (mb_stristr('iptv',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_free', 'varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_secue', 'int(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_server', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_tvgid', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_tvgname', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_group', 'varchar(100)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_title', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_url', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_file', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_serie', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_tempo', 'int(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_episo', 'int(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_tvglogo', 'varchar(200)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'secue', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'tvgid', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'tvglogo', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'group', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'tile', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'url', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'serie', 'X',$colafter,'');
    }
	
		if (mb_stristr('cong',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_pais', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cdad', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ciudad', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_postal', 'varchar(15)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_gps1', 'decimal(15,10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_gps2', 'decimal(15,10)',$colafter,'');
			
			$colafter=vrsetcolu($maes0,$maes.'_reu1','int(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_reu2','int(1)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_sala','int(1)',$colafter,'1');
			$colafter=vrsetcolu($maes0,$maes.'_grupo','int(1)',$colafter,'1');
		}

		if (mb_stristr('modu',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_color1', 'varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_color2', 'varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_color3', 'varchar(10)',$colafter,'');
		}

		if (mb_stristr('docu',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_tabla','varchar(4)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_modulo','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_codnum','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ptoe','varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_numero','int(9)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_tiponum','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_autonum','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_autofec','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_desde','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_hasta','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_mindeta','smallint(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_maxdeta','smallint(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_bakdeta','tinyint(1)',$colafter,'');
			
			$colafter=vrsetcolu($maes0,$maes.'_pdf','varchar(1)',$colafter,'0');
// 			$colafter=vrsetcolu($maes0,$maes.'_adjunto','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_ppsize','varchar(2)',$colafter,'A4');
			$colafter=vrsetcolu($maes0,$maes.'_pporient','varchar(1)',$colafter,'V');

			$colafter=vrsetcolu($maes0,$maes.'_width','int',$colafter,'210'); 
			$colafter=vrsetcolu($maes0,$maes.'_height','int',$colafter,'297');
			$colafter=vrsetcolu($maes0,$maes.'_top','int',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_left','int',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_orient','varchar(1)',$colafter,'V');
		
			$colafter=vrsetcolu($maes0,$maes.'_copia','tinyint(1)',$colafter,'1');
			$colafter=vrsetcolu($maes0,$maes.'_doble','tinyint(1)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_apuni','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_adcto','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_apvp','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_vstock','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_bstock','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_vreser','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_breser','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_dreser','smallint',$colafter,'');
		
			$colafter=vrsetcolu($maes0,$maes.'_rescont','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctadeb','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctacre','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctadcto','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaprop','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaice','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaiva','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctairbp','varchar(13)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_tico','varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_suco','varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_at_a','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_at02','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_at03','varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_tice','varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fpag','varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_final','smallint(3)',$colafter,'24');
			$colafter=vrsetcolu($maes0,$maes.'_gencla','smallint(3)',$colafter,'60');
			$colafter=vrsetcolu($maes0,$maes.'_recep','smallint(3)',$colafter,'60');

			$colafter=vrsetcolu($maes0,$maes.'_regi','smallint(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_modi','smallint(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_anul','smallint(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_elim','smallint(3)',$colafter,'');

// 			msql_query('drop index tabla on '.$maes0,$link_data);
// 			msql_query('create index tabla on '.$maes0.'('.$maes.'_tipo,'.$maes.'_tabla,'.$maes.'_codigo)',$link_data);
	
			
    }
		
		if (mb_stristr('ctas',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_signo','smallint(3)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_info','smallint(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_codigoc','varchar(12)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_ffee','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ccpp','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cair','varchar(5)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nec','varchar(12)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_niif','varchar(12)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_sri01','smallint(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_sri101','smallint(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_super','varchar(1)',$colafter,'');
      
// 			$colafter=vrsetcolu($maes0,$maes.'zsub','varchar(6)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'lsub','varchar(6)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'csub','varchar(6)',$colafter,'');
      
// 			$colafter=vrsetcolu($maes0,$maes.'caja','varchar(4)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'ctab','varchar(4)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'bode','varchar(4)',$colafter,'');
		}

		if (mb_stristr('evnt',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_lugar','varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fecha1','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fecha2','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_hora1','time',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_hora2','time',$colafter,'');
    }
    
    
// NUMERO_RUC	RAZON_SOCIAL	NOMBRE_COMERCIAL	ESTADO_CONTRIBUYENTE	CLASE_CONTRIBUYENTE
// FECHA_INICIO_ACTIVIDADES	FECHA_ACTUALIZACION	FECHA_SUSPENSION_DEFINITIVA	FECHA_REINICIO_ACTIVIDADES
// OBLIGADO	TIPO_CONTRIBUYENTE	NUMERO_ESTABLECIMIENTO	NOMBRE_FANTASIA_COMERCIAL
// CALLE	NUMERO	INTERSECCION	ESTADO_ESTABLECIMIENTO
// DESCRIPCION_PROVINCIA	DESCRIPCION_CANTON	DESCRIPCION_PARROQUIA
// CODIGO_CIIU	ACTIVIDAD_ECONOMICA    

		if (mb_stristr('enti.ppto',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_user','int(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_struc','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cedularuc','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pasaporte','varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_idexterior','varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_conadis','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_dnrdp','varchar(7)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_razsoc','varchar(100)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nomcom','varchar(100)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fechaini','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ape1','varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ape2','varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nom1','varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nom2','varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nickname','varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fechanac','date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_huellas','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nacionalidad','varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_sexo','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_stcivil','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_estatura_cm','int(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_peso_lb','int(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_codigoc','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_codigop','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_codigoe','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_clie','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_prov','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_empl','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_drtr','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_referidox','varchar(10)',$colafter,'');
			// director status o rango

			// ELIMINAR
			$colafter=vrsetcolu($maes0,$maes.'_calle1','varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_calle2','varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_calle3','varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_callen','varchar(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_telefono','varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_celular','varchar(15)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_whatsapp','varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_contacto','varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_email','varchar(250)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_emailce','varchar(250)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_wsapp','varchar(250)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_wsappce','varchar(250)',$colafter,'');
			
			$colafter=vrsetcolu($maes0,$maes.'_adrs','int(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_zsub','varchar(9)',$colafter,'GENE-GENE');
			$colafter=vrsetcolu($maes0,$maes.'_vndd','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_attn','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_rcdd','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_csub','varchar(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cargo','varchar(20)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_tpro','varchar(4)',$colafter,'BIEN');
			$colafter=vrsetcolu($maes0,$maes.'_tiruc','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_coesp','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_coesn','varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_obcon','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_rise','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_rime','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_tipreg','varchar(2)',$colafter,'01');
			$colafter=vrsetcolu($maes0,$maes.'_dobtri','varchar(1)',$colafter,'0');
			$colafter=vrsetcolu($maes0,$maes.'_retnor','varchar(1)',$colafter,'1');
			$colafter=vrsetcolu($maes0,$maes.'_pdf','varchar(1)',$colafter,'');

			// ELIMINAR
			$colafter=vrsetcolu($maes0,$maes.'_pcesp','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pcont','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_prise','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fp90','varchar(1)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_reprelegal','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_actividad','varchar(250)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_matriz','varchar(250)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_direccion','varchar(250)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pais','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_provincia','varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ciudad','varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_parroq','varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cdad','varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_postal','varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_origing','varchar(1)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_dcto','decimal(6,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_comi','decimal(6,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cupo','decimal(9,2)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_tipoctab','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_numectab','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_bcosctab','varchar(4)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_ctaxcob','varchar(12)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaxpag','varchar(12)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaacli','X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaapro','X',$colafter,'');
			
			$colafter=vrsetcolu($maes0,$maes.'_saldo','X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_dndrp','X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_logo1','X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_logo2','X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_logoce','X',$colafter,'');
			
			$index='cedularuc';
// 			msql_query('drop index '.$cedularuc.' on '.$maes0);
// 			msql_query('create index '.$cedularuc.' on '.$maes0.'('.$maes.'_'.$index.')');
			
		}

		if (mb_stristr('item',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_descri2','varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_puni','decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_puni1','decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_puni2','decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_puni3','decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_puni4','decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_dcto','decimal(4,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_dcto1','decimal(4,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_dcto2','decimal(4,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_dcto3','decimal(4,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_dcto4','decimal(4,2)',$colafter,'');
      
			$colafter=vrsetcolu($maes0,$maes.'_ppro1','decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ppro2','decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ppro3','decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ppro4','decimal(13,6)',$colafter,'');
      
			$colafter=vrsetcolu($maes0,$maes.'_prop','decimal(4,2)',$colafter,'');
      //subsidio
			$colafter=vrsetcolu($maes0,$maes.'_ssid','decimal(4,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ice','decimal(4,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ice2','decimal(4,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_iva','decimal(4,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_irbp','decimal(4,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_arcl','varchar(18)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_arancel','decimal(4,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pvp','decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pvp1','decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pvp2','decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pvp3','decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pvp4','decimal(13,6)',$colafter,'');
      
			$colafter=vrsetcolu($maes0,$maes.'_pcp1','decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cost','decimal(13,6)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_cpro','decimal(11,4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_duni','varchar(1)',$colafter,'2');
			$colafter=vrsetcolu($maes0,$maes.'_dcos','varchar(1)',$colafter,'2');
			$colafter=vrsetcolu($maes0,$maes.'_dpre','varchar(1)',$colafter,'2');
			$colafter=vrsetcolu($maes0,$maes.'_dval','varchar(1)',$colafter,'2');

// 			$colafter=vrsetcolu($maes0,$maes.'_gtin','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ean','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_sku','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_codigov','varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_codigoc','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_codigop','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_numpart','varchar(20)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_stocksegu','decimal(13,6)',$colafter,'');
      
      
// 			$colafter=vrsetcolu($maes0,$maes.'_envase','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_codxunid','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_unixpack','mediumint(6)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_uxpack','mediumint(6)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_ubik','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_umdd','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_mdda','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_medida','varchar(20)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_raiz','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_idem','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_grupo','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_lado','varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_tlla','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_clor','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_clor2','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_kldd','varchar(4)',$colafter,'');
      
			$colafter=vrsetcolu($maes0,$maes.'_back','varchar(4)',$colafter,''); // espalda
			$colafter=vrsetcolu($maes0,$maes.'_chest','varchar(4)',$colafter,''); // pecho
			$colafter=vrsetcolu($maes0,$maes.'_bust','varchar(4)',$colafter,''); // busto
			$colafter=vrsetcolu($maes0,$maes.'_waist','varchar(4)',$colafter,''); // cintura
			$colafter=vrsetcolu($maes0,$maes.'_hip','varchar(4)',$colafter,''); // cadera
			$colafter=vrsetcolu($maes0,$maes.'_sleeve','varchar(4)',$colafter,''); // manga
      
			$colafter=vrsetcolu($maes0,$maes.'_tmno','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_dmtr','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_rend','decimal(6,2)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_lsub','varchar(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_mrca','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_mdlo','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_rfer','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pais','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_provee','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_modelo','varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_composi','varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_lineasub','varchar(50)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_clie','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_prov','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_empl','varchar(1)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_cret','varchar(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_bser','varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cair','varchar(5)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_at04','varchar(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_at06','varchar(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'ice04','varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'ice05','varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'ice06','varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'ice07','varchar(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'ice08','varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'ice09','varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'ice10','varchar(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'ice11','varchar(6)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_ctavtas','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctacvta','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctacomp','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctainve','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctanomi','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaprop','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctadcto','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaice','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaiva','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctairbp','varchar(13)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_ctlg','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nctlg','smallint(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pctlg','smallint(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_hoja','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_carr','varchar(1)',$colafter,'');

	  msql_query('insert into '.$maes0.'('.$maes.'_codigo,'.$maes.'_descri)value("9900000000","ITEMS")',$link_data);

// 			$colafter=vrsetcolu($maes0,'lado','varchar(1)',$colafter,'');
			if(mb_stristr('rcsa',$cfg_empr))
			{
			$colafter=vrsetcolu($maes0,$maes.'_fr','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_re','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_rh','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_lh','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_orig','varchar(1)',$colafter,'');
			}
		}
		
		if (mb_stristr('clor',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_hexa','varchar(7)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_rgb1','smallint(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_rgb2','smallint(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_rgb3','smallint(3)',$colafter,'');
    }
    
		if (mb_stristr('nvdd',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_abrev','varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_posi','tinyint(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_puni','decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctacont','varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_codigon','varchar(13)',$colafter,'');
			msql_query('insert into '.$maes0.'('.$maes.'_codigo,'.$maes.'_descri)value("90000","NOVEDADES")',$link_data);
		}
		
		if (mb_stristr('civa',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_porc', 'decimal(5,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctavtas', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctacomp', 'varchar(13)',$colafter,'');
		}

		if (mb_stristr('cice',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_porc', 'decimal(5,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctavtas', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctacomp', 'varchar(13)',$colafter,'');
		}

		if (mb_stristr('cair',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_porc', 'decimal(5,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_bser', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctacont', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaxcob', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaxpag', 'varchar(13)',$colafter,'');
		//	$colafter=vrsetcolu($maes0,$maes.'_rrta', 'decimal(5,2)',$colafter,'');
		//	$colafter=vrsetcolu($maes0,$maes.'_riva', 'decimal(5,2)',$colafter,'');
		}

		if (mb_stristr('arcl',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_crtr', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_porc', 'decimal(5,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_adva', 'decimal(4,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fodi', 'decimal(4,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_isd', 'decimal(4,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fdfa', 'X',$colafter,'');
		}

		if (mb_stristr('caja.caba',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_ptoe', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_numero', 'int(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ptov', 'varchar(6)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_ctacont', 'varchar(13)',$colafter,'');

// 			$colafter=vrsetcolu($maes0,$maes.'_ptoe', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_bcos', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_corte', 'smallint',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctacont', 'varchar(13)',$colafter,'');
		}

		if (mb_stristr('ptoe',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_ambice', 'int(1)',$colafter,'');
    }    
    
		if (mb_stristr('ptov',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_ptoe', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_numero', 'int(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ambice', 'int(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_caba', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cbco', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_caja', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_bode', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctacont', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nomcom', 'varchar(50)',$colafter,'');
		}

		if (mb_stristr('vndd',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_email', 'varchar(30)',$colafter,'');
		}

		if (mb_stristr('bode',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_ptoe', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_numero', 'int(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ptov', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctacont', 'varchar(13)',$colafter,'');
		}

		if (mb_stristr('ctab',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_ptoe', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_enti', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_numero', 'varchar(16)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_bcos', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_corte', 'smallint',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctacont', 'varchar(13)',$colafter,'');
		}

		if (mb_stristr('pais',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_ats', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_tlfn', 'varchar(4)',$colafter,'');
		}

    
    
    
		if (mb_stristr('clac',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_fecha', 'date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_enti', 'varchar(13)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_upldfec', 'datetime',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_recepfec', 'datetime',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_recepmsj', 'varchar(250)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_autorfec', 'datetime',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_autornum', 'varchar(49)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_autormsj', 'varchar(250)',$colafter,'');
      
			$colafter=vrsetcolu($maes0,$maes.'_xml1', 'text',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_xml2', 'text',$colafter,'');
      
// 			$colafter=vrsetcolu($maes0,$maes.'_scan', 'varchar(1)',$colafter,'');
      
			$colafter=vrsetcolu($maes0,$maes.'_xml', 'X');
			$colafter=vrsetcolu($maes0,$maes.'_firma', 'X');
			
// 			$colafter=vrsetcolu($maes0,$maes.'_atrznume', 'X',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_atrzfecha', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_upld', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_srirecep', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_sriautor', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_atrz', 'X',$colafter,'');

		}

		if (mb_stristr('atrz',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_enti', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_entidad', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_docu', 'varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ptoe', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_serie', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_srie', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_desde', 'int(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_hasta', 'int(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_caduca', 'date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_claveacc', 'varchar(49)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_atrznume', 'varchar(49)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_atrzfech', 'varchar(16)',$colafter,'');
		}

		if (mb_stristr('atrd',$maes))
		{
// 			$colafter=vrsetcolu($maes0,$maes.'_entidad', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_atrz', 'varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_docu', 'varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ptoe', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_desde', 'int(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_hasta', 'int(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_caduca', 'date',$colafter,'');

		}

		if (mb_stristr('zsub',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_attn', 'varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_vndd', 'varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_rcdd', 'varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaxcob', 'varchar(12)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaacli', 'X',$colafter,'');
		}

		if (mb_stristr('tpro',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_ctaxpag', 'varchar(12)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaapro', 'X',$colafter,'');
		}

		if (mb_stristr('lsub',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_ctavtas', 'varchar(12)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctadcto', 'varchar(12)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctacvta', 'varchar(12)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_ctacomp', 'varchar(12)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctainve', 'varchar(12)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctaprod', 'varchar(12)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ean13', 'X',$colafter,'');
		}

		if (mb_stristr('csub',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_ctacost', 'varchar(12)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ctagast', 'varchar(12)',$colafter,'');
		}

		if (mb_stristr('asub',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_puni', 'decimal(13,6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_lsub', 'varchar(9)',$colafter,'');
		}

		if (mb_stristr('lote',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_fabric', 'date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_caduca', 'date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_costo', 'decimal(13,4)',$colafter,'');
		}

		if (mb_stristr('port',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_pais', 'varchar(4)',$colafter,'');
		}

		if (mb_stristr('cntn',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_factory', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_customer', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fecfact', 'date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_idweb', 'date',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_enti', 'varchar(13)',$colafter,'');
		}

		if (mb_stristr('bldn',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_master', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_house', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_job', 'varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_booking', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cntn', 'varchar(11)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_consigna', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_manifiesto', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_agnt', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_vndd', 'varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nave1', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nave2', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_viaje', 'varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_port1', 'varchar(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_port2', 'varchar(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fecha1', 'date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_fecha2', 'date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_peso', 'decimal(13,2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_carga', 'varchar(30)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_idweb', 'date',$colafter,'');

		}
    
		if (mb_stristr('airl',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_prefijo', 'varchar(3)',$colafter,'');
    }

		if (mb_stristr('flgh',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_fecha', 'date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_airl', 'varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_vuelo', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ciudad1', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ciudad2', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_itin1', 'datetime',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_esti1', 'datetime',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_real1', 'datetime',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_itin2', 'datetime',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_esti2', 'datetime',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_real2', 'datetime',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_hora1', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_hora2', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_hora3', 'X',$colafter,'');
    }
    
		if (mb_stristr('vhcl',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_placa', 'varchar(8)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_camv', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_vinn', 'varchar(17)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_motor', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cilindro', 'smallint(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pais', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_prvc', 'varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_provincia', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ciudad', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_clase', 'varchar(4)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_mrca', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_mdlo', 'varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_modelo', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_anio', 'smallint(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_clor', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_clor2', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_propietarioid', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_propietario', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_conductor', 'varchar(30)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_idweb', 'date',$colafter,'');

		}

		if (mb_stristr('sntr',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_numero', 'varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_seguro', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_poliza', 'varchar(7)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_vhcl', 'varchar(7)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_entrega', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ejecutivo', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_asegurado', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_lugar', 'varchar(30)',$colafter,'');
		}
	
		if (mb_stristr('bsqj',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_tema', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cant', 'varchar(15)',$colafter,'');
		}

		if (mb_stristr('jwol',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_fecha', 'date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_tdb1', 'varchar(5000)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_tdb2', 'varchar(5000)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nvc1', 'varchar(5000)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nvc2', 'varchar(5000)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_smm0', 'varchar(5000)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_smm1', 'varchar(5000)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_smm2', 'varchar(5000)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_smm3', 'varchar(5000)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_smm4', 'varchar(5000)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_lib1', 'varchar(5000)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ata1', 'varchar(5000)',$colafter,'');
		}

		if (mb_stristr('jwtv',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_lang', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_guia', 'varchar(24)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_categ0', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_categ0d', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_categ0n', 'smallint(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_categ1', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_categ1d', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_categ1n', 'smallint(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_title', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_media', 'varchar(200)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_segundos', 'int(5)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_mediamp3', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_media1080', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_media720', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_media480', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_media360', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_media240', 'varchar(200)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_mediamp3s', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_media1080s', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_media720s', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_media480s', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_media360s', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_media240s', 'varchar(200)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_subtt', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_image0', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_image1', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_image', 'varchar(200)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_publi', 'date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_modif', 'date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_categ', 'X',$colafter,'');
		}

		if (mb_stristr('imgi',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_defa','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_item', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_file', 'varchar(30)',$colafter,'');
		}

		if (mb_stristr('imge',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_defa','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_enti', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_file', 'varchar(30)',$colafter,'');
		}

		if (mb_stristr('adrs',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_defa','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_user', 'int(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_enti', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_sucu','varchar(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_area', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_tlfn', 'varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ext', 'varchar(5)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nombre', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_contacto', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_direccion', 'varchar(100)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_opera', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pais', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cdad', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_provincia', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ciudad', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_postal', 'varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cpostal', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_calle1', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_calle2', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_callen', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_calle3', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_email', 'varchar(150)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_gps1', 'decimal(15,10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_gps2', 'decimal(15,10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cntnombre', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cntdirecc', 'varchar(50)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_idweb', 'date',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_suc','X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_sucursal','X',$colafter,'');

		}

		if (mb_stristr('tlfn',$maes))
    {
// 			$colafter=vrsetcolu($maes0,$maes.'_codigo','int(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_defa','varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_enti', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_contacto', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_opera', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_tlfn', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pre', 'varchar(4)',$colafter,'');
// 			$colafter=vrsetcolu($maes0,$maes.'_prefix', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_prefix', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_area', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_numero', 'varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ext', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_adrs','int(9)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_suc','varchar(3)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_area', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nombre', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_direccion', 'varchar(100)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_pais', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cdad', 'varchar(6)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_ciudad', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_postal', 'varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_calle1', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_calle2', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_callen', 'varchar(15)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_calle3', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_email', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cntnombre', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cntdirecc', 'varchar(50)',$colafter,'');

			$colafter=vrsetcolu($maes0,$maes.'_idweb', 'date',$colafter,'');
		}

		if (mb_stristr('mail',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_defa', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_enti', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_direccion', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_contacto', 'varchar(30)',$colafter,'');
		}

		if (mb_stristr('mrca',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_enti', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_mrca', 'varchar(4)',$colafter,'');
		}

		if (mb_stristr('mdlo',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_enti', 'varchar(13)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_mrca', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_anio', 'varchar(4)',$colafter,'');
		}
		
		if (mb_stristr('acce',$maes))
    {
			$colafter=vrsetcolu($maes0,$maes.'_user', 'varchar(10)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_docu', 'varchar(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_full', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nuev', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_regi', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_modi', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_anul', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_elim', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_apro', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_proc', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cons', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_info', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_espe', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_clon', 'varchar(1)',$colafter,'');
		}
	
		if (mb_stristr('ppto',$maes) and  $cfg_empr='jw19')
    {
			$colafter=vrsetcolu($maes0,$maes.'_aprobado', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_disponible', 'varchar(50)',$colafter,'');
      for($cdisp=8; $cdisp<=22; $cdisp++)
      {
        $colafter=vrsetcolu($maes0,$maes.'_d'.fillzero($cdisp,2), 'varchar(1)',$colafter,'');
        $colafter=vrsetcolu($maes0,$maes.'_e'.fillzero($cdisp,2), 'varchar(1)',$colafter,'');
      }
			$colafter=vrsetcolu($maes0,$maes.'_congcity', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_congname', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_edad', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_bautizado', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_nacimiento', 'int(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_bautizo', 'int(4)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_medical', 'X',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_medicaltra', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_mesesantes', 'int(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_profesion', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_privilegio', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_anytask', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_horario', 'varchar(30)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_avaiable', 'varchar(50)',$colafter,'');

      $colafter=vrsetcolu($maes0,$maes.'_area', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_funcion', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_grupo_seg', 'varchar(5)',$colafter,'');
      
			$colafter=vrsetcolu($maes0,$maes.'_lesiones', 'varchar(50)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_discapacidad', 'varchar(20)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_cardiaco', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_respiratorio', 'varchar(1)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_capa_resp', 'varchar(2)',$colafter,'');
			$colafter=vrsetcolu($maes0,$maes.'_observaciones', 'varchar(200)',$colafter,'');
      
      
      
    }
    
    // 		vrsetfill($maes);
	
	}
// 		describe_table($maes.'0');

// 	echo '<br>';
	
	if($user_tipo=='sist' or 1==2)
	{echo '<br>'.'TABLA : '.$maes.'('.$codigo.')'.' -> '.date('H:i:s');}	
		
   
}

?>



<?php

function crea_index()
{
   
}

?>

<?php

function crea_view()
{
   
}

?>

